| GQLLC GMC-300 0.1 GQ Electronics Geiger-Counter Model 300

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator
Classes | Public Member Functions | Private Member Functions | Private Attributes
GQLLC::GQGMC Class Reference

`#include <gqgmc.hh>`

List of all members.

## Classes
struct | cfg_data_t
## Public Member Functions
| GQGMC ()
virtual | ~GQGMC ()
virtual void | openUSB (string usb_device_name)
virtual void | closeUSB (void)
virtual void | clearUSB ()
virtual enum gmc_error_t | getErrorCode ()
virtual std::string | getErrorText (gmc_error_t err)
virtual std::string | getVersion ()
virtual std::string | getSerialNumber ()
virtual uint16_t | getCPM ()
virtual uint16_t | getCPS ()
virtual float | getBatteryVoltage ()
virtual uint8_t *const | getHistoryData (uint32_t address, uint32_t length)
virtual void | turnOnCPS ()
virtual void | turnOffCPS ()
virtual uint16_t | getAutoCPS ()
virtual void | turnOffPower ()
virtual void | getConfigurationData ()
virtual enum saveDataType_t | getSaveDataType ()
virtual void | setSaveDataType (enum saveDataType_t newSaveDataType)
virtual uint32_t | getDataSaveAddress ()
virtual void | resetDataSaveAddress ()
virtual void | writeConfigurationData (enum cfg_param_t cfgParameter, enum cfg_bytecnt_t cfgDataCount, uint8_t const *const cfgData)
virtual void | eraseConfigurationData ()
virtual void | updateConfigurationData ()
virtual void | sendKey (enum softkey_t key)
## Private Member Functions
virtual void | loadConfigurationData ()
void | communicate (const std::string cmd, char *retdata, uint32_t retbytes)
void | sendCmd (const std::string cmd)
void | readCmdReturn (char *retdata, uint32_t retbytes)
bool | isBigEndian (void)
## Private Attributes
std::string | mUSB_device
int | mUSB_serial
enum gmc_error_t | mError_code
bool | mRead_status
bool | mCPS_is_on
bool | mBig_endian
float | mFirmware_revision
uint8_t * | mHistory_data
struct GQLLC::GQGMC::cfg_data_t | mCFG_Data

## Constructor & Destructor Documentation

GQGMC::GQGMC | ( |  | ) |

virtual GQLLC::GQGMC::~GQGMC | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void GQGMC::clearUSB | ( |  | ) | `[virtual]`

void GQGMC::closeUSB | ( | void |  | ) | `[virtual]`

void GQGMC::communicate | ( | const std::string | cmd,
|  | char * | retdata,
|  | uint32_t | retbytes
| ) |  | `[private]`

void GQGMC::eraseConfigurationData | ( |  | ) | `[virtual]`

uint16_t GQGMC::getAutoCPS | ( |  | ) | `[virtual]`

float GQGMC::getBatteryVoltage | ( |  | ) | `[virtual]`

void GQGMC::getConfigurationData | ( |  | ) | `[virtual]`

uint16_t GQGMC::getCPM | ( |  | ) | `[virtual]`

uint16_t GQGMC::getCPS | ( |  | ) | `[virtual]`

uint32_t GQGMC::getDataSaveAddress | ( |  | ) | `[virtual]`

virtual enum gmc_error_t GQLLC::GQGMC::getErrorCode | ( |  | ) | `[inline, virtual]`

string GQGMC::getErrorText | ( | gmc_error_t | err | ) | `[virtual]`

uint8_t *const GQGMC::getHistoryData | ( | uint32_t | address,
|  | uint32_t | length
| ) |  | `[virtual]`

every second, minute, or hour. The length parameter is the number

enum saveDataType_t GQGMC::getSaveDataType | ( |  | ) | `[virtual]`

string GQGMC::getSerialNumber | ( |  | ) | `[virtual]`

string GQGMC::getVersion | ( |  | ) | `[virtual]`

bool GQGMC::isBigEndian | ( | void |  | ) | `[private]`

void GQGMC::loadConfigurationData | ( |  | ) | `[private, virtual]`

void GQGMC::openUSB | ( | string | usb_device_name | ) | `[virtual]`

void GQGMC::readCmdReturn | ( | char * | retdata,
|  | uint32_t | retbytes
| ) |  | `[private]`

void GQGMC::resetDataSaveAddress | ( |  | ) | `[virtual]`

void GQGMC::sendCmd | ( | const std::string | cmd | ) | `[private]`

void GQGMC::sendKey | ( | enum softkey_t | key | ) | `[virtual]`

void GQGMC::setSaveDataType | ( | enum saveDataType_t | newSaveDataType | ) | `[virtual]`

void GQGMC::turnOffCPS | ( |  | ) | `[virtual]`

void GQGMC::turnOffPower | ( |  | ) | `[virtual]`

void GQGMC::turnOnCPS | ( |  | ) | `[virtual]`

void GQGMC::updateConfigurationData | ( |  | ) | `[virtual]`

void GQGMC::writeConfigurationData | ( | enum cfg_param_t | cfgParameter,
|  | enum cfg_bytecnt_t | cfgDataCount,
|  | uint8_t const *const | cfgData
| ) |  | `[virtual]`

## Member Data Documentation

bool GQLLC::GQGMC::mBig_endian`[private]`

struct GQLLC::GQGMC::cfg_data_t GQLLC::GQGMC::mCFG_Data`[private]`

bool GQLLC::GQGMC::mCPS_is_on`[private]`

enum gmc_error_t GQLLC::GQGMC::mError_code`[private]`

float GQLLC::GQGMC::mFirmware_revision`[private]`

uint8_t* GQLLC::GQGMC::mHistory_data`[private]`

bool GQLLC::GQGMC::mRead_status`[private]`

std::string GQLLC::GQGMC::mUSB_device`[private]`

int GQLLC::GQGMC::mUSB_serial`[private]`

The documentation for this class was generated from the following files:

- /home/phil/Projects/gqgmc/gqgmc.hh
- /home/phil/Projects/gqgmc/gqgmc.cc

All Classes Namespaces Files Functions Variables Enumerations Enumerator